New port: devel/py-QtPy: Abstraction layer on top of the various Qt bindings
ClosedPublic

Authored by yuri on Dec 27 2017, 8:10 PM.

Details

Summary

Abstraction layer on top of the various Qt bindings

It doesn't have any explicit dependencies. It has alternative dependencies on PyQt5, PyQt4, PySide2 or PySide which it select in the run-time.
Users have the responsibility to ensure that one of them is installed, and to optionally set QT_API to force one of them.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
yuri created this revision.Dec 27 2017, 8:10 PM

Is it usable without either PySide or PyQt? -- if not, I would add options to pull them in -- or at least add a pkg-message to recommend instaling one of them.

devel/py-QtPy/Makefile
4 ↗(On Diff #37106)

^DISTVERSION

yuri added a comment.Dec 28 2017, 4:28 AM

It's usable when one from this list is installed. I will add pkg-message then.

yuri updated this revision to Diff 37120.Dec 28 2017, 4:36 AM

Added pkg-message

yuri marked an inline comment as done.Dec 28 2017, 5:22 AM
tcberner added inline comments.Dec 30 2017, 7:20 PM
devel/py-QtPy/Makefile
4 ↗(On Diff #37106)

^this is not done.

yuri updated this revision to Diff 37244.Dec 30 2017, 7:22 PM

Now it is done.

yuri marked an inline comment as done.Dec 30 2017, 7:22 PM

From my point of view this is fine now -- in particular the name "QtPy" is correct to my reasoning.
@adamw are you happy with this too, or would you prefer it to be lower cased?

adamw added a comment.Dec 30 2017, 7:59 PM

From my point of view this is fine now -- in particular the name "QtPy" is correct to my reasoning.
@adamw are you happy with this too, or would you prefer it to be lower cased?

It seems right to me too.

yuri added a comment.Jan 10 2018, 11:00 PM

Everything appears to be resolved here.

tcberner accepted this revision.Jan 19 2018, 10:13 PM
This revision is now accepted and ready to land.Jan 19 2018, 10:13 PM
This revision was automatically updated to reflect the committed changes.